Draft Text: Difference between revisions

From FreeCAD Documentation
No edit summary
(Pythonic format, spaces after commas)
Line 41: Line 41:
</translate>
</translate>
{{Code|code=
{{Code|code=
Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
makeText (string or list, [Vector], [screenmode])
}}
}}
<translate>
<translate>
<!--T:9-->
<!--T:9-->
* Creates a Text object, at the given point if a vector is provided, containing the string or the strings given in the list, one string by line.
* Creates a <code>Text</code> object, at the given point given by a <code>FreeCAD.Vector</code>
* <code>stringlist</code> is a string, or a list of strings; if it's a list, each element is displayed in one line
* The current Draft color and text height and font specified in preferences are used.
* The current Draft color, text height, and font specified in preferences are used.
* If screenmode is True, the text always faces the view direction, otherwise it lies on the XY plane.
* If <code>screen</code> is <code>True</code>, the text always faces the camera view direction, otherwise it lies on the XY plane.
* Returns the newly created object.


<!--T:10-->
<!--T:10-->
Line 54: Line 54:
</translate>
</translate>
{{Code|code=
{{Code|code=
import FreeCAD,Draft
import FreeCAD, Draft
Draft.makeText("This is a sample text",FreeCAD.Vector(1,1,0))
Draft.makeText("This is a sample text", FreeCAD.Vector(1,1,0))

}}
}}
{{clear}}
{{clear}}

Revision as of 06:10, 26 October 2018

Draft Text

Menu location
Draft → Text
Workbenches
Draft, Arch
Default shortcut
T E
Introduced in version
-
See also
None

Description

The Text tool inserts a piece of text at a given point in the current document. It takes the text size and color previously set on the Tasks tab.

How to use

  1. Press the Draft Text button, or press T then E keys
  2. Click a point on the 3D view, or type a coordinate
  3. Enter the desired text, pressing ENTER between each line
  4. Press ENTER twice to finish the operation.

Options

  • Pressing CTRL will snap your point to available snap locations.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Pressing ESC will cancel the operation.
  • When editing the text, pressing ENTER or DOWN ARROW allow you to enter or edit a next line of text.
  • Pressing UP ARROW allows you to edit a previous line of text.
  • Pressing ENTER twice (thus leaving the last line empty) adds the text to the document and closes the editor.

Properties

  • DataPosition: The base point of the text block
  • DataLabel Text: The contents of the text block
  • ViewDisplay Mode: Specifies if the text is aligned to the scene axes or always faces the camera
  • ViewFont Size: The size of the letters
  • ViewJustification: Specifies if the text is aligned to the left, right or center of the base point.
  • ViewLine Spacing: Specifies the space between lines of text
  • ViewRotation: Specifies a rotation to be applied to the text
  • ViewRotation Axis: Specifies the axis to use for the rotation
  • ViewFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

Scripting

The Text tool can by used in macros and from the python console by using the following function:

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Creates a Text object, at the given point given by a FreeCAD.Vector
  • stringlist is a string, or a list of strings; if it's a list, each element is displayed in one line
  • The current Draft color, text height, and font specified in preferences are used.
  • If screen is True, the text always faces the camera view direction, otherwise it lies on the XY plane.

Example:

import FreeCAD, Draft
Draft.makeText("This is a sample text", FreeCAD.Vector(1,1,0))